################################################################################
# Freescale Semiconductor Inc.
# (c) Copyright 2010 Freescale Semiconductor Inc.
# ALL RIGHTS RESERVED.
#############################################################################/*!
#
#	@file rules.mak
#
#	@version 1.0.1.0
#
#	@lastmodusr B16958
#
#	@lastmoddate Jul-1-2010
#
#	@brief Commands and options for building the application for MPC5607B with Wind River compiler
#
#	@project AN4147
#
#	@author B16958
#
##############################################################################*/

CC 			:= $(DIAB_DIR)/WIN32/bin/dcc.exe
LD 			:= $(DIAB_DIR)/WIN32/bin/dld.exe
AS 			:= $(DIAB_DIR)/WIN32/bin/das.exe
CCOPT 			:=  -tPPCE200Z1VEN:simple -g3 -W:as:,-l \
			-Xdialect-ansi -Xforce-declarations -XO -Xsize-opt -Xmacro-undefined-warn -Xdebug-dwarf2 \
			-Xaddr-sconst=0x11 -Xaddr-sdata=0x11 -Xno-common
LDOPT 			:= -tPPCE200Z1VEN:simple -Xelf -m2 -lg -Xlibc-old -lc 
ASOPT 			:= -tPPCE200Z1VEN:simple
LINKER_DEFS		:=$(COMPILER)/flash.dld

COMPILE_C_FILE = $(CC) $(CCOPT) -D$(1) -c $< -o $@
COMPILE_S_FILE = $(AS) $(ASOPT) -I$(COMPILER) -o $@ $<
LINK_O_FILES = $(LD) $(LDOPT) $(LINKER_DEFS) $(word $(1),$(APP_OBJ)) $(COMMON_OBJ) -o $@ -@O=$(basename $@).map
