/*! \defgroup sci_tx SCI Transmitter
* 
* The examples in this section emulate the SCI transmitter using eDMA. All these examples
* are implemented for the device MPC5607B, but are generally applicable to the 5600 family.
* 
*/


/*! \defgroup sci_rx SCI Receiver
*
* Receiving SPI signal using the above feature is demonstrated using the following example.
*/

/*! \defgroup spi_master SPI Master
*
* SPI Master example uses the same features, but the with more signals for sending and receiving.
*
* @image html spi_master.png "Principle of SPI Master emulation"
*/


/*! \defgroup spi_slave SPI Slave
* 
* SPI slave example uses the same resources, but the order of triggering and information flow is opposite.
* 
* @image html spi_slave.png "Principle of SPI Slave emulation"
*/


/*! \defgroup common Common System Files
* 
* These modules are used to setup the system 560xB to the defined and useful state
* for these examples.
* 
*/
